@use '../utilities/mixins';
@use '../utilities/variables';

.card {
    position: relative;
    padding: 32px;
    border-radius: 32px;
    background-color: var(--card-bg);
    box-shadow: 0px 8px 16px rgba(17, 17, 17, .04);

    &--primary {
        background-color: variables.color('primary');
        background-color: var(--card-primary);
        color: variables.color('white');
    }

    &--danger {
        background-color: variables.color('danger');
    }

    &--outline {
        background-color: transparent;
        border: 2px dashed variables.color('danger');
        color: variables.color('danger');

        font-size: 20px;
        font-weight: 600;
        text-align: center;

        transition: transform .5s ease;

        &.dragged {
            background-color: rgba(237, 46, 126, 1);
            animation: blink 1s ease infinite alternate;
        }

        @keyframes blink {
            from {
                background-color: rgba(237, 46, 126, .4);
            }
            to {
                background-color: rgba(237, 46, 126, .2);
            }
        }

        &.droping {
            transform: scale(1.05);
        }
    }

    &__header {
        text-align: center;
    }

    &__title {
        width: 100%;
        text-align: center;
        font-weight: 400;
        font-size: 32px;
        
        color: var(--title);
    }

    &__content {
        .loader {
            margin-top: 10px;
        }
    }
}